#ifndef HARDWARW_MINI_SENSING_USB_H    
#define HARDWARW_MINI_SENSING_USB_H 

#ifndef LED_ON
	#define LED_ON 0x01 
#endif

#ifndef LED_OFF
	#define LED_OFF 0x00 
#endif

#ifndef ON_STATE
	#define ON_STATE 0x01 
#endif

#ifndef OFF_STATE
	#define OFF_STATE 0x00  
#endif

#ifndef SET_AS_OUTPUT
	#define SET_AS_OUTPUT 0x00  
#endif

#ifndef SET_AS_INPUT
	#define SET_AS_INPUT 0x01 
#endif

#ifndef BUTTON_PRESSED
	#define BUTTON_PRESSED 0x00
#endif



//********************************************
//Output signals
//********************************************
#define LED_1_USB  LATBbits.LATB12
#define LED_2_USB  LATBbits.LATB14
#define LED_3_USB  LATAbits.LATA8
#define LED_4_USB  LATAbits.LATA10

#define LED_1_USB_DIR  TRISBbits.TRISB12
#define LED_2_USB_DIR  TRISBbits.TRISB14
#define LED_3_USB_DIR  TRISAbits.TRISA8
#define LED_4_USB_DIR  TRISAbits.TRISA10


//********************************************
// Input       
//********************************************

#define SW_1_USB    		PORTBbits.RB7
#define SW_1_USB_DIR    TRISBbits.TRISB7  


#define SW_2_USB    		PORTBbits.RB4   
#define SW_2_USB_DIR    TRISBbits.TRISB4 



#endif

