//******************************************************************************
// In this example a German type semaphore is implemented.
//
// Tested Platform: Freedom III
// Tested MCU: PIC18F46K22
// Tested Compiler: XC8 2.05
//******************************************************************************

#include <xc.h>

#define SYSTEM_CLOCK 20000000

#include "LTlib.h"

#include "LTlib_delay.h"
#include "LTlib_delay.c"

//RED
#define LED_GROUP_1_SIZE 8

//ORANGE
#define LED_GROUP_2_SIZE 8

//GREEN
#define LED_GROUP_3_SIZE 8


#include "WS2812B.h"
#include "WS2812B.c"

void main (void){
    
    WS2812_initialize();
    
    while (1){
    
        WS2812_turn_on_group(LED_GROUP_1, 255,0,0);  
        WS2812_turn_on_group(LED_GROUP_2, 0,0,0);
        WS2812_turn_on_group(LED_GROUP_3, 0,0,0);
        delay_s (10);  
        
        WS2812_turn_on_group(LED_GROUP_1, 255,0,0);  
        WS2812_turn_on_group(LED_GROUP_2, 255,180,0);
        WS2812_turn_on_group(LED_GROUP_3, 0,0,0);
        delay_s (3);    
        
        WS2812_turn_on_group(LED_GROUP_1, 0,0,0);  
        WS2812_turn_on_group(LED_GROUP_2, 0,0,0);
        WS2812_turn_on_group(LED_GROUP_3, 0,255,0);
        delay_s (10);   
        
        WS2812_turn_on_group(LED_GROUP_1, 0,0,0);  
        WS2812_turn_on_group(LED_GROUP_2, 255,180,0);
        WS2812_turn_on_group(LED_GROUP_3, 0,0,0);
        delay_s (3); 
        
    }    
}
