//******************************************************************************
// The software sends the string "Hello World" to the UART. 
// The bit rate is set to 19200 bits/s 
// 
//
// Tested Platform: Freedom III
// Tested MCU: PIC18F46K22
// Tested Compiler: XC8 2.05
//******************************************************************************

#include <xc.h>

#include "LTlib.h"

#include "LTlib_delay.h"
#include "LTlib_delay.c"

#include "module_IO.h"
#include "module_IO.c"

#include "module_UART.h"
#include "module_UART.c"

void main(void) {
    
    IO_set_all_ports_as_inputs();
    
    delay_ms (10);
    
    UART1_open(UART_BAUDRATE_19200);
    
    UART1_write_message(" Hello World");
            
    while(1);
}
